## r-cran-rvest 0.3.2

=== DESCRIPTION ===
Package: rvest
Version: 0.3.2
Title: Easily Harvest (Scrape) Web Pages
Description: Wrappers around the 'xml2' and 'httr' packages to make it easy to
    download, then manipulate, HTML and XML.
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre")),
    person("RStudio", role = "cph")
    )
Depends: R (>= 3.0.1), xml2
Imports: httr (>= 0.5), selectr, magrittr
Suggests: testthat, knitr, png, stringi (>= 0.3.1), rmarkdown, covr
Encoding: UTF-8
License: GPL-3
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 5.0.1
URL: https://github.com/hadley/rvest
BugReports: https://github.com/hadley/rvest/issues
NeedsCompilation: no
Packaged: 2016-06-16 16:20:43 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2016-06-17 08:57:12

=== debian/changelog ===
r-cran-rvest (0.3.2-1) unstable; urgency=medium

  * Initial release (closes: #912609)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 02 Nov 2018 07:48:53 +0100

=== debian/control ===
Source: r-cran-rvest
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-xml2,
               r-cran-httr,
               r-cran-selectr,
               r-cran-magrittr
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rvest
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rvest.git
Homepage: https://cran.r-project.org/package=rvest

Package: r-cran-rvest
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Easily Harvest (Scrape) Web Pages
 Wrappers around the 'xml2' and 'httr' packages to make it easy to
 download, then manipulate, HTML and XML.

## r-cran-rvest 0.3.4

=== debian/changelog ===
r-cran-rvest (0.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 21:31:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-xml2,
                r-cran-httr,
-               r-cran-selectr,
-               r-cran-magrittr
-Standards-Version: 4.2.1
+               r-cran-magrittr,
+               r-cran-selectr
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rvest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rvest.git
 Homepage: https://cran.r-project.org/package=rvest

## r-cran-rvest 0.3.5

=== DESCRIPTION ===
Package: rvest
Title: Easily Harvest (Scrape) Web Pages
Version: 0.3.5
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Wrappers around the 'xml2' and 'httr' packages to
    make it easy to download, then manipulate, HTML and XML.
License: GPL-3
URL: http://rvest.tidyverse.org/, https://github.com/tidyverse/rvest
BugReports: https://github.com/tidyverse/rvest/issues
Depends: R (>= 3.2), xml2
Imports: httr (>= 0.5), magrittr, selectr
Suggests: covr, knitr, png, rmarkdown, spelling, stringi (>= 0.3.1),
        testthat
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-11-08 18:31:35 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2019-11-08 23:10:02 UTC

=== debian/changelog ===
r-cran-rvest (0.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Test-Depends: r-cran-cli

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 16:53:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-xml2,
                r-cran-httr,
                r-cran-magrittr,
                r-cran-selectr
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rvest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rvest.git
 Homepage: https://cran.r-project.org/package=rvest

## r-cran-rvest 0.3.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rvest
 Title: Easily Harvest (Scrape) Web Pages
-Version: 0.3.5
+Version: 0.3.6
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
@@ -21,11 +21,11 @@
 Encoding: UTF-8
 Language: en-US
 LazyData: true
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2019-11-08 18:31:35 UTC; hadley
+Packaged: 2020-07-20 14:06:08 UTC; hadley
 Author: Hadley Wickham [aut, cre],
   RStudio [cph]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-11-08 23:10:02 UTC
+Date/Publication: 2020-07-25 21:50:02 UTC

=== debian/changelog ===
r-cran-rvest (0.3.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 31 Jul 2020 08:07:38 +0200

r-cran-rvest (0.3.5-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 May 2020 11:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-xml2,
                r-cran-httr,
                r-cran-magrittr,
                r-cran-selectr
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rvest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rvest.git
 Homepage: https://cran.r-project.org/package=rvest
+Rules-Requires-Root: no
 
 Package: r-cran-rvest
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-cli
Restrictions: allow-stderr

## r-cran-rvest 1.0.2

=== DESCRIPTION ===
Package: rvest
Title: Easily Harvest (Scrape) Web Pages
Version: 1.0.2
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Wrappers around the 'xml2' and 'httr' packages to
    make it easy to download, then manipulate, HTML and XML.
License: MIT + file LICENSE
URL: https://rvest.tidyverse.org/, https://github.com/tidyverse/rvest
BugReports: https://github.com/tidyverse/rvest/issues
Depends: R (>= 3.2)
Imports: httr (>= 0.5), lifecycle (>= 1.0.0), magrittr, rlang (>=
        0.4.10), selectr, tibble, xml2 (>= 1.3)
Suggests: covr, glue, knitr, readr, rmarkdown, repurrrsive, spelling,
        stringi (>= 0.3.1), testthat (>= 3.0.2), webfakes
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-10-15 18:24:40 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2021-10-16 23:30:07 UTC

=== debian/changelog ===
r-cran-rvest (1.0.2-2) unstable; urgency=medium

  * Team Upload.
  * webfakes is in the archive now, remove patch for its
    exclusion, and add r-cran-webfakes to test-deps

 -- Nilesh Patra <nilesh@debian.org>  Thu, 21 Oct 2021 13:19:38 +0530

r-cran-rvest (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 15:22:27 +0000

r-cran-rvest (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Patch test to get autopkgtests functioning
  * d/t/control: Make test dep on r-cran-cli versioned
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 27 Sep 2021 13:48:08 +0530

r-cran-rvest (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 12:58:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-xml2,
                r-cran-httr,
+               r-cran-lifecycle (>= 1.0.0),
                r-cran-magrittr,
-               r-cran-selectr
-Standards-Version: 4.5.0
+               r-cran-rlang (>= 0.4.10),
+               r-cran-selectr,
+               r-cran-tibble,
+               r-cran-xml2 (>= 1.3)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rvest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rvest.git
 Homepage: https://cran.r-project.org/package=rvest

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-cli (>= 3.0.1~), r-cran-webfakes
Restrictions: allow-stderr

## r-cran-rvest 1.0.3

=== DESCRIPTION ===
Package: rvest
Title: Easily Harvest (Scrape) Web Pages
Version: 1.0.3
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Wrappers around the 'xml2' and 'httr' packages to make it
    easy to download, then manipulate, HTML and XML.
License: MIT + file LICENSE
URL: https://rvest.tidyverse.org/, https://github.com/tidyverse/rvest
BugReports: https://github.com/tidyverse/rvest/issues
Depends: R (>= 3.2)
Imports: glue, cli, httr (>= 0.5), lifecycle (>= 1.0.0), magrittr,
        rlang (>= 1.0.0), selectr, tibble, xml2 (>= 1.3), withr
Suggests: covr, knitr, readr, repurrrsive, rmarkdown, spelling, stringi
        (>= 0.3.1), testthat (>= 3.0.2), webfakes
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-08-19 15:20:38 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-08-19 22:30:08 UTC

=== debian/changelog ===
r-cran-rvest (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 14:16:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-glue,
+               r-cran-cli,
                r-cran-httr,
                r-cran-lifecycle (>= 1.0.0),
                r-cran-magrittr,
-               r-cran-rlang (>= 0.4.10),
+               r-cran-rlang (>= 1.0.0),
                r-cran-selectr,
                r-cran-tibble,
-               r-cran-xml2 (>= 1.3)
-Standards-Version: 4.6.0
+               r-cran-xml2 (>= 1.3),
+               r-cran-withr
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rvest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rvest.git
 Homepage: https://cran.r-project.org/package=rvest

## r-cran-rvest 1.0.4

=== debian/changelog ===
r-cran-rvest (1.0.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 21 May 2024 09:14:17 +0900

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cli,
                r-cran-glue,
-               r-cran-cli,
                r-cran-httr,
-               r-cran-lifecycle (>= 1.0.0),
+               r-cran-lifecycle (>= 1.0.3),
                r-cran-magrittr,
-               r-cran-rlang (>= 1.0.0),
+               r-cran-rlang (>= 1.1.0),
                r-cran-selectr,
                r-cran-tibble,
-               r-cran-xml2 (>= 1.3),
-               r-cran-withr
-Standards-Version: 4.6.1
+               r-cran-xml2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rvest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rvest.git
 Homepage: https://cran.r-project.org/package=rvest

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-r6,
        r-cran-readr,
        r-cran-rmarkdown,
        r-cran-spelling,
        r-cran-stringi (>= 0.3.1),
        r-cran-testthat (>= 3.0.2),
        r-cran-webfakes
Restrictions: allow-stderr

## r-cran-rvest 1.0.5

=== DESCRIPTION ===
Package: rvest
Title: Easily Harvest (Scrape) Web Pages
Version: 1.0.5
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Wrappers around the 'xml2' and 'httr' packages to make it
    easy to download, then manipulate, HTML and XML.
License: MIT + file LICENSE
URL: https://rvest.tidyverse.org/, https://github.com/tidyverse/rvest
BugReports: https://github.com/tidyverse/rvest/issues
Depends: R (>= 4.1)
Imports: cli, glue, httr (>= 0.5), lifecycle (>= 1.0.3), magrittr,
        rlang (>= 1.1.0), selectr, tibble, xml2 (>= 1.4.0)
Suggests: chromote, covr, knitr, purrr, R6, readr, repurrrsive,
        rmarkdown, spelling, stringi (>= 0.3.1), testthat (>= 3.0.2),
        tidyr, webfakes
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-08-29 12:57:41 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2025-08-29 14:00:02 UTC

=== debian/changelog ===
r-cran-rvest (1.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Removed no-longer needed fix-encoding-test-to-warning.patch
  * Silenced false-positive lintian warning about purposeful use of a national
    text encoding.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Aug 2025 16:14:04 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                r-cran-cli,
                r-cran-glue,
                r-cran-httr,
-               r-cran-lifecycle (>= 1.0.3),
+               r-cran-lifecycle,
                r-cran-magrittr,
                r-cran-rlang (>= 1.1.0),
                r-cran-selectr,
                r-cran-tibble,
-               r-cran-xml2
-Standards-Version: 4.7.0
+               r-cran-xml2 (>= 1.4.0)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rvest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rvest.git
 Homepage: https://cran.r-project.org/package=rvest

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-purrr,
        r-cran-r6,
        r-cran-readr,
        r-cran-rmarkdown,
        r-cran-spelling,
        r-cran-stringi (>= 0.3.1),
        r-cran-testthat (>= 3.0.2),
        r-cran-tidyr,
        r-cran-webfakes
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rvest_([-\d.]*)\.tar\.gz
